Bug 829760 - Optimize RFC2307bis lookups when user and group search bases do not overlap
Summary: Optimize RFC2307bis lookups when user and group search bases do not overlap
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-07 13:52 UTC by Dmitri Pal
Modified: 2020-05-02 16:54 UTC (History)
6 users (show)

Fixed In Version: sssd-1.12.0-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 10:26:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github SSSD sssd issues 2408 0 None None None 2020-05-02 16:54:50 UTC
Red Hat Product Errata RHBA-2015:0441 0 normal SHIPPED_LIVE sssd bug fix and enhancement update 2015-03-05 15:05:27 UTC

Description Dmitri Pal 2012-06-07 13:52:22 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1366

One of the biggest performance issues with RFC2307bis servers is that, because a member attribute provides only a DN, we have to perform a lookup for that DN to determine if it is a user or a group.

One way we could optimize this and save ourselves some lookups would be to compare the DN to the set of configured search bases if (and only if) the user and group search bases do not overlap.

This check should be done once at startup time and saved in the ldap_id_ctx. It should only be done if the ldap_user_search_base and ldap_group_search_base are both populated during initialization (in other words, if we are autodetecting the search base from the RootDSE, don't bother doing this comparison then).

Comment 3 Martin Kosek 2014-06-17 12:23:23 UTC
Will be fixed as a part of bigger refactoring in SSSD (rebase bug 1109756).

Comment 5 Kaushik Banerjee 2015-01-16 10:34:36 UTC
SanityOnly verification with sssd-1.12.2-42.el7

All ldap backend automation tests pass.

Comment 7 errata-xmlrpc 2015-03-05 10:26:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0441.html


Note You need to log in before you can comment on or make changes to this bug.